Skip to main content
GET
/
companies
/
{company_id}
/
content
Get content for a company
curl --request GET \
  --url https://api.getpg.ai/v1/companies/{company_id}/content \
  --header 'X-Api-Key: <api-key>'
{
  "contacts": [
    {
      "content_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content_type": "email",
      "content_setting_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "content": "<string>",
      "ref_content_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_items": 123,
    "total_pages": 123,
    "has_next": true,
    "has_previous": true
  }
}

Authorizations

X-Api-Key
string
header
required

Your API key for authentication. Get your API key from the PGAI dashboard.

Path Parameters

company_id
string
required

Company ID (UUID)

Query Parameters

page
integer
default:1

Page number

per_page
integer
default:100

Items per page

type
enum<string>[]

Content type filter(s). Can specify multiple types.

Available options:
email,
notes,
call_script,
document,
value_pyramid,
three_whys

Response

Success

Response containing company content

contacts
object[]
required

Array of content items (note: field name is "contacts" in API)

pagination
object
required

Pagination information